#{$all-buttons}, a.button {
  appearance: none;
  background-color: $action-color;
  border: 2px solid transparent;
  border-radius: 2px;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-family: $base-font-family;
  font-size: $base-font-size;
  -webkit-font-smoothing: antialiased;
  font-weight: 600;
  line-height: 1;
  padding: $small-spacing $base-spacing;
  text-align: center;
  text-decoration: none;
  transition: background-color $base-duration $base-timing;
  user-select: none;
  vertical-align: middle;
  white-space: nowrap;
  transition: .2s ease all;

  &.small {
  }

  &:hover,
  &:focus {
    background-color: shade($action-color, 20%);
    border-color: shade($action-color, 20%);
    color: #fff;
  }

  &:disabled {
    cursor: not-allowed;
    opacity: 0.5;

    &:hover {
      border-color: $action-color;
    }
  }

  &.red {
    background-color: $deep-red;
    &:hover,
    &:focus {
      background-color: shade($deep-red, 20%);
      border-color: shade($deep-red, 20%);
      color: #fff;
    }
    &.hollow {
      background-color: transparent;
      border: 2px solid $deep-red;
      color: $deep-red;
      &:hover,
      &:focus {
        background-color: shade($deep-red, 20%);
        border-color: shade($deep-red, 20%);
        color: #fff;
      }
    }
  }

  &.green {
    background-color: $green;
    &:hover,
    &:focus {
      background-color: shade($green, 20%);
      border-color: shade($green, 20%);
      color: #fff;
    }
    &.hollow {
      background-color: transparent;
      border: 2px solid $green;
      color: $green;
      &:hover,
      &:focus {
        background-color: shade($green, 20%);
        border-color: shade($green, 20%);
        color: #fff;
      }
    }
  }

  &.hollow {
    background-color: transparent;
    border: 2px solid $action-color;
    color: $action-color;
    &:hover,
    &:focus {
      background-color: shade($action-color, 20%);
      border-color: shade($action-color, 20%);
      color: #fff;
    }
  }
}
